Bug 970768 - fuse fails to build for aarch64
fuse fails to build for aarch64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 15:49 EDT by Mark Salter
Modified: 2013-07-04 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: fuse-2.9.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 22:00:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to avoid namespace clash with kernel (466 bytes, patch)
2013-06-04 15:49 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-06-04 15:49:10 EDT
Created attachment 756940 [details]
patch to avoid namespace clash with kernel

Description of problem:
There's a namespace conflist in fuse_kernel.h which bites on aarch64 builds. An upstream patch (attached) fixes the problem. There is actually a newer patch which goes further than than the attached, but it is more intrusive and not necessarily needed for fc19.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-06-26 09:51:11 EDT
fuse-2.9.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fuse-2.9.2-4.fc19
Comment 2 Fedora Update System 2013-06-26 13:07:46 EDT
Package fuse-2.9.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fuse-2.9.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11711/fuse-2.9.2-4.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-04 22:00:32 EDT
fuse-2.9.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.